/****************************************************

	JConfig Source Code Distribution
	version: 2.1.0      written: Fri Aug 11 01:18:08 PDT 2000

	Unless otherwise noted, all contents
	Copyright (c) 1997,1998,1999,2000 Samizdat Productions.
	All Rights Reserved.
	All contents are subject to the terms of the
	JConfig Source Code License Agreement

****************************************************/

#include "CRegUtils.h"
#include "XToolkit.h"

ErrCode CRegUtils::getRegKey( HKEY key, const CStr *csSubKey, CStr *csRetData )
{
	long		retval = ERROR_SUCCESS;
	HKEY		hKey;

	retval = XToolkit::XRegOpenKeyEx( key, csSubKey, 0, KEY_QUERY_VALUE, &hKey );
	if( retval != ERROR_SUCCESS )
		return retval;

	retval = XToolkit::XRegQueryValue( hKey, NULL, csRetData );

	RegCloseKey( hKey );

	return retval;
}

