/****************************************************

	JConfig Source Code Distribution
	version: 2.1.0      written: Fri Aug 11 01:18:08 PDT 2000

	Unless otherwise noted, all contents
	Copyright (c) 1997,1998,1999,2000 Samizdat Productions.
	All Rights Reserved.
	All contents are subject to the terms of the
	JConfig Source Code License Agreement

****************************************************/

package com.jconfig.nix;


import com.jconfig.*;

/**
Gets the icons for a file or folder.

This is a preliminary class derived from the Windows class of similar name. This class may be replaced
or modified in a future version.

@author Copyright (c) 1997,1998,1999,2000 Samizdat Productions. All Rights Reserved.
*/

class IconBundleFileNix extends IconBundleNix {
	private static final String copyrightString = "JConfig Copyright (c) 1997,1998,1999,2000 Samizdat Productions. All Rights Reserved.";
	private String			fileName;
	private boolean			bIsDir;
	
	IconBundleFileNix( String fn, boolean bD ) {
		fileName = fn;
		bIsDir = bD;
	}
	
	public int getIcon( int whichIcon, int xform, int align, int pData[] ) {
		int					theErr, width, height;

		checkWhichIconValue( whichIcon );

		width = getIconWidth( whichIcon );
		height = getIconHeight( whichIcon );

		theErr = AppUtilsNix.getFileIcon( fileName, bIsDir, whichIcon, width, height, xform, align, pData );

		return theErr;
	}
}

